# Class Placeholder

GoJS® Diagramming Components
version 3.0.7
by Northwoods Software®

#### Hierarchy

- GraphObject
  - Placeholder

If a Placeholder is in the visual tree of a Group, it represents the area of all of the member Parts of that Group. If a Placeholder is in the visual tree of an Adornment, it represents the area of the Adornment.adornedObject. Unlike other GraphObjects, the Placeholder measures itself based on these criteria, and not on its own desiredSize or scale. It will set its own natural bounds and scale, and in the case of Groups will set the Group's location.

It can only be used in the visual tree of a Group node or an Adornment. There can be at most one Placeholder in a Group or an Adornment.

See the documentation for Group and Adornment for descriptions of the Placeholder roles in each.

#####
Index

### Constructors

constructor

### Accessors

padding

#####
Inherited Index

### Accessors

GraphObject.actionCancel
GraphObject.actionDown
GraphObject.actionMove
GraphObject.actionUp
GraphObject.actualBounds
GraphObject.alignment
GraphObject.alignmentFocus
GraphObject.angle
GraphObject.background
GraphObject.click
GraphObject.column
GraphObject.columnSpan
GraphObject.contextClick
GraphObject.contextMenu
GraphObject.cursor
GraphObject.desiredSize
GraphObject.diagram
GraphObject.doubleClick
GraphObject.enabledChanged
GraphObject.fromEndSegmentLength
GraphObject.fromLinkable
GraphObject.fromLinkableDuplicates
GraphObject.fromLinkableSelfNode
GraphObject.fromMaxLinks
GraphObject.fromShortLength
GraphObject.fromSpot
GraphObject.height
GraphObject.isActionable
GraphObject.isPanelMain
GraphObject.layer
GraphObject.margin
GraphObject.maxSize
GraphObject.measuredBounds
GraphObject.minSize
GraphObject.mouseDragEnter
GraphObject.mouseDragLeave
GraphObject.mouseDrop
GraphObject.mouseEnter
GraphObject.mouseHold
GraphObject.mouseHover
GraphObject.mouseLeave
GraphObject.mouseOver
GraphObject.name
GraphObject.naturalBounds
GraphObject.opacity
GraphObject.panel
GraphObject.part
GraphObject.pickable
GraphObject.portId
GraphObject.position
GraphObject.row
GraphObject.rowSpan
GraphObject.scale
GraphObject.segmentFraction
GraphObject.segmentIndex
GraphObject.segmentOffset
GraphObject.segmentOrientation
GraphObject.shadowVisible
GraphObject.stretch
GraphObject.toEndSegmentLength
GraphObject.toLinkable
GraphObject.toLinkableDuplicates
GraphObject.toLinkableSelfNode
GraphObject.toMaxLinks
GraphObject.toShortLength
GraphObject.toSpot
GraphObject.toolTip
GraphObject.visible
GraphObject.width

### Methods

GraphObject.apply
GraphObject.attach
GraphObject.bind
GraphObject.bindModel
GraphObject.bindObject
GraphObject.bindTwoWay
GraphObject.copy
GraphObject.findBindingPanel
GraphObject.getDocumentAngle
GraphObject.getDocumentBounds
GraphObject.getDocumentPoint
GraphObject.getDocumentScale
GraphObject.getLocalPoint
GraphObject.isContainedBy
GraphObject.isEnabledObject
GraphObject.isVisibleObject
GraphObject.set
GraphObject.setProperties
GraphObject.theme
GraphObject.themeData
GraphObject.themeModel
GraphObject.themeObject
GraphObject.trigger

## Constructors

### constructor

- new Placeholder(init?: Partial<Placeholder>): Placeholder

- This normally does not need any initialization, except for maybe setting padding.

  #### Parameters

  - ##### `Optional` init: Partial<Placeholder>

    Optional initialization properties.

  #### Returns Placeholder

## Accessors

### padding
: MarginLike

- Gets or sets the padding around the members of the Group or around the Adornment.adornedObject GraphObject. The initial value is a Margin of zero on all sides.

Copyright © 1998-2024 by Northwoods Software Corporation.